/* =========================================================================================================
  Script Equipements Unités ADO
  Version: 1.1
  Auteur: The-KiLLeR (www.clan-ado.fr / killouze@hotmail.fr)
========================================================================================================= */

// Control types
#define ADO_CT_STATIC 0
#define ADO_CT_BUTTON 1
#define ADO_CT_EDIT 2
#define ADO_CT_SLIDER 3
#define ADO_CT_COMBO 4
#define ADO_CT_LISTBOX 5
#define ADO_CT_TOOLBOX 6
#define ADO_CT_CHECKBOXES 7
#define ADO_CT_PROGRESS 8
#define ADO_CT_HTML 9
#define ADO_CT_STATIC_SKEW 10
#define ADO_CT_ACTIVETEXT 11
#define ADO_CT_TREE 12
#define ADO_CT_STRUCTURED_TEXT 13
#define ADO_CT_CONTEXT_MENU 14
#define ADO_CT_CONTROLS_GROUP 15
#define ADO_CT_SHORTCUT_BUTTON 16 // Arma 2 - textured button

#define ADO_CT_XKEYDESC 40
#define ADO_CT_XBUTTON 41
#define ADO_CT_XLISTBOX 42
#define ADO_CT_XSLIDER 43
#define ADO_CT_XCOMBO 44
#define ADO_CT_ANIMATED_TEXTURE 45
#define ADO_CT_OBJECT 80
#define ADO_CT_OBJECT_ZOOM 81
#define ADO_CT_OBJECT_CONTAINER 82
#define ADO_CT_OBJECT_CONT_ANIM 83
#define ADO_CT_LINEBREAK 98
#define ADO_CT_USER 99
#define ADO_CT_MAP 100
#define ADO_CT_MAP_MAIN 101
#define ADO_CT_List_N_Box 102 // Arma 2 - N columns list box 

// Static styles
#define ADO_ST_POS 0x0F
#define ADO_ST_HPOS 0x03
#define ADO_ST_VPOS 0x0C
#define ADO_ST_LEFT 0x00
#define ADO_ST_RIGHT 0x01
#define ADO_ST_CENTER 0x02
#define ADO_ST_DOWN 0x04
#define ADO_ST_UP 0x08
#define ADO_ST_VCENTER 0x0c
#define ADO_ST_TYPE 0xF0
#define ADO_ST_SINGLE 0
#define ADO_ST_MULTI 16
#define ADO_ST_TITLE_BAR 32
#define ADO_ST_PICTURE 48
#define ADO_ST_FRAME 64
#define ADO_ST_BACKGROUND 80
#define ADO_ST_GROUP_BOX 96
#define ADO_ST_GROUP_BOX2 112
#define ADO_ST_HUD_BACKGROUND 128
#define ADO_ST_TILE_PICTURE 144
#define ADO_ST_WITH_RECT 160
#define ADO_ST_LINE 176

#define ADO_ST_SHADOW 0x100
#define ADO_ST_NO_RECT 0x200
#define ADO_ST_KEEP_ASPECT_RATIO 0x800

#define ADO_ST_TITLE ADO_ST_TITLE_BAR + ADO_ST_CENTER

// Slider styles
#define ADO_SL_DIR 0x400
#define ADO_SL_VERT 0
#define ADO_SL_HORZ 0x400

#define ADO_SL_TEXTURES 0x10

// Listbox styles
#define ADO_LB_TEXTURES 0x10
#define ADO_LB_MULTI 0x20

#define ADO_FontM "Zeppelin32"

class RscMapControl 
{
  type = 101;
  idc = -1;
  style = 48;
	maxSatelliteAlpha = 0;
	
	alphaFadeStartScale = 0.150000;
	alphaFadeEndScale = 0.290000;
	
	colorLevels[] = {0.650000,0.600000,0.450000,1 };
	colorSea[] = {0.460000,0.650000,0.740000,0.500000 };
	colorForest[] = {0.450000,0.640000,0.330000,0.500000 };
	colorRocks[] = {0,0,0,0.300000 };
	colorCountlines[] = {0.850000,0.800000,0.650000,1 };
	colorMainCountlines[] = {0.450000,0.400000,0.250000,1 };
	colorCountlinesWater[] = {0.250000,0.400000,0.500000,0.300000 };
	colorMainCountlinesWater[] = {0.250000,0.400000,0.500000,0.900000 };
	colorPowerLines[] = {0.100000,0.100000,0.100000,1 };
	colorRailWay[] = {0.800000,0.200000,0,1 };
	colorForestBorder[] = {0,0,0,0 };
	colorRocksBorder[] = {0,0,0,0 };
	colorNames[] = {0.100000,0.100000,0.100000,0.900000 };
	colorInactive[] = {1,1,1,0.500000 };
	colorOutside[] = {0,0,0,0};
	colorBackground[] = {1,1,1,0.9};
	colorText[] = {1,1,1,1};
	
  font = "Zeppelin32";
  sizeEx = 0.05;
  
  fontLabel = "Zeppelin32";
	sizeExLabel = 0.0286458;
	fontGrid = "Zeppelin32";
	sizeExGrid = 0.028;
	fontUnits = "Zeppelin32";
	sizeExUnits = 0.0286458;
	fontNames = "Zeppelin32";
	sizeExNames = 0.05;
	fontInfo = "Zeppelin32";
	sizeExInfo = 0.0286458;
	fontLevel = "Zeppelin32";
	sizeExLevel = 0.0286458;
  
  ptsPerSquareSea	= 6;
  ptsPerSquareTxt	= 8;
  ptsPerSquareCLn	= 8;
  ptsPerSquareExp	= 8;
  ptsPerSquareCost = 8;
  ptsPerSquareFor = "4.0f";
  ptsPerSquareForEdge = "10.0f";
  ptsPerSquareRoad = 2;
  ptsPerSquareObj = 10;
	
	text = "\ca\ui\data\map_background2_co.paa";
  x = 0.1;
  y = 0.1;
  w = 0.3;
  h = 0.3;
  ShowCountourInterval = 0;
  scaleDefault = 0.1;
  onMouseButtonClick = "";
  onMouseButtonDblClick = "";
	
	class Task  {
		icon = "\ca\ui\data\ui_taskstate_current_CA.paa";
		iconCreated = "\ca\ui\data\ui_taskstate_new_CA.paa";
		iconCanceled = "#(argb,8,8,3)color(0,0,0,0)";
		iconDone = "\ca\ui\data\ui_taskstate_done_CA.paa";
		iconFailed = "\ca\ui\data\ui_taskstate_failed_CA.paa";
		color[] = {0.863000,0.584000,0.000000,1 };
		colorCreated[] = {0.950000,0.950000,0.950000,1 };
		colorCanceled[] = {0.606000,0.606000,0.606000,1 };
		colorDone[] = {0.424000,0.651000,0.247000,1 };
		colorFailed[] = {0.706000,0.074500,0.019600,1 };
		size = 27;
		importance = 1;
		coefMin = 1;
		coefMax = 1;
	};

	class CustomMark  {
		icon = "\ca\ui\data\map_waypoint_ca.paa";
		color[] = {0.647100,0.670600,0.623500,1.000000 };
		size = 18;
		importance = 1;
		coefMin = 1;
		coefMax = 1;
	};

	class Legend  {
		x = "SafeZoneX";
		y = "SafeZoneY";
		w = 0.340000;
		h = 0.152000;
		font = "Zeppelin32";
		sizeEx = 0.039210;
		colorBackground[] = {0.906000,0.901000,0.880000,0 };
		color[] = {0,0,0,1 };
	};

	class Bunker  {
		icon = "\ca\ui\data\map_bunker_ca.paa";
		size = 14;
		importance = "1.5 * 14 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
		color[] = {0,0.900000,0,1 };
	};

	class Bush  {
		icon = "\ca\ui\data\map_bush_ca.paa";
		color[] = {0.450000,0.640000,0.330000,0.400000 };
		size = 14;
		importance = "0.2 * 14 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class BusStop  {
		icon = "\ca\ui\data\map_busstop_ca.paa";
		color[] = {0.150000,0.260000,0.870000,1 };
		size = 12;
		importance = "1 * 10 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Command  {
		icon = "\ca\ui\data\map_waypoint_ca.paa";
		color[] = {0,0.900000,0,1 };
		size = 18;
		importance = 1;
		coefMin = 1;
		coefMax = 1;
	};

	class Cross  {
		icon = "\ca\ui\data\map_cross_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "0.7 * 16 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Fortress  {
		icon = "\ca\ui\data\map_bunker_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "2 * 16 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Fuelstation  {
		icon = "\ca\ui\data\map_fuelstation_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "2 * 16 * 0.05";
		coefMin = 0.750000;
		coefMax = 4;
	};

	class Fountain  {
		icon = "\ca\ui\data\map_fountain_ca.paa";
		color[] = {0.200000,0.450000,0.700000,1 };
		size = 11;
		importance = "1 * 12 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Hospital  {
		icon = "\ca\ui\data\map_hospital_ca.paa";
		color[] = {0.780000,0,0.050000,1 };
		size = 16;
		importance = "2 * 16 * 0.05";
		coefMin = 0.500000;
		coefMax = 4;
	};

	class Chapel  {
		icon = "\ca\ui\data\map_chapel_ca.paa";
		size = 16;
		importance = "1 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
		color[] = {0,0.900000,0,1 };
	};

	class Church  {
		icon = "\ca\ui\data\map_church_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "2 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
	};

	class Lighthouse  {
		icon = "\ca\ui\data\map_lighthouse_ca.paa";
		size = 14;
		color[] = {0,0.900000,0,1 };
		importance = "3 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
	};

	class Quay  {
		icon = "\ca\ui\data\map_quay_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "2 * 16 * 0.05";
		coefMin = 0.500000;
		coefMax = 4;
	};

	class Rock  {
		icon = "\ca\ui\data\map_rock_ca.paa";
		color[] = {0.100000,0.100000,0.100000,0.800000 };
		size = 12;
		importance = "0.5 * 12 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Ruin  {
		icon = "\ca\ui\data\map_ruin_ca.paa";
		size = 16;
		color[] = {0,0.900000,0,1 };
		importance = "1.2 * 16 * 0.05";
		coefMin = 1;
		coefMax = 4;
	};

	class SmallTree  {
		icon = "\ca\ui\data\map_smalltree_ca.paa";
		color[] = {0.450000,0.640000,0.330000,0.400000 };
		size = 12;
		importance = "0.6 * 12 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Stack  {
		icon = "\ca\ui\data\map_stack_ca.paa";
		size = 20;
		color[] = {0,0.900000,0,1 };
		importance = "2 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
	};

	class Tree  {
		icon = "\ca\ui\data\map_tree_ca.paa";
		color[] = {0.450000,0.640000,0.330000,0.400000 };
		size = 12;
		importance = "0.9 * 16 * 0.05";
		coefMin = 0.250000;
		coefMax = 4;
	};

	class Tourism  {
		icon = "\ca\ui\data\map_tourism_ca.paa";
		size = 16;
		importance = "1 * 16 * 0.05";
		coefMin = 0.700000;
		coefMax = 4;
		color[] = {0,0.900000,0,1 };
	};

	class Transmitter  {
		icon = "\ca\ui\data\map_transmitter_ca.paa";
		color[] = {0,0.900000,0,1 };
		size = 20;
		importance = "2 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
	};

	class ViewTower  {
		icon = "\ca\ui\data\map_viewtower_ca.paa";
		color[] = {0,0.900000,0,1 };
		size = 16;
		importance = "2.5 * 16 * 0.05";
		coefMin = 0.500000;
		coefMax = 4;
	};

	class Watertower  {
		icon = "\ca\ui\data\map_watertower_ca.paa";
		color[] = {0.200000,0.450000,0.700000,1 };
		size = 20;
		importance = "1.2 * 16 * 0.05";
		coefMin = 0.900000;
		coefMax = 4;
	};

	class Waypoint  {
		icon = "\ca\ui\data\map_waypoint_ca.paa";
		color[] = {0,0.900000,0,0};
		size = 20;
		importance = "2.5 * 16 * 0.05";
		coefMin = 0.500000;
		coefMax = 4;
	};

	class WaypointCompleted  {
		icon = "\ca\ui\data\map_waypoint_completed_ca.paa";
		color[] = {0,0.900000,0,0};
		size = 20;
		importance = "2.5 * 16 * 0.05";
		coefMin = 0.500000;
		coefMax = 4;
	};
	
  class ActiveMarker {
    color[] = {0.3, 0.1, 0.9, 1};
    size	= 50;
  };
};

class ADO_MENU_RscTexte
{
	type = ADO_CT_STATIC;
	style = ADO_ST_CENTER + ADO_ST_SHADOW;
	colorBackground[] = {0,0,0,0};
  	font = ADO_FontM;
	shadow = 2;
};

class ADO_MENU_RscTexte2
{
	type = ADO_CT_STRUCTURED_TEXT;
	style = ADO_ST_LEFT;
	colorBackground[] = {0,0,0,0};
  	font = ADO_FontM;
	size = 0.03521;
	shadow = 2;
	
	class Attributes { 
		font = "TahomaB";
		color = "#e0d8a6";
		align = "left";
		valign = "up";
		shadow = false;
		shadowColor = "#e0d8a6";
	};
};

class ADO_MENU_RscFrame
{
	type = ADO_CT_STATIC;
	style = ADO_ST_CENTER + ADO_ST_FRAME;
  	font = ADO_FontM;
	sizeEx = 0;
	colorText[] = {0, 0, 0, 1};
	colorBackground[] = {0,0,0,1};
	text = "";
};

class ADO_MENU_RscImage
{
	type = ADO_CT_STATIC;
	style = ADO_ST_PICTURE + ADO_ST_CENTER;
	colorText[] = {1,1,1,1};
	colorBackground[] = {0,0,0,0};
  	font = ADO_FontM;
	sizeEx = 0;
};




class ADO_MENU_RscCheckbox
{
	type = ADO_CT_CHECKBOXES;
	idc = -1;
	style = ADO_ST_CENTER + ADO_ST_SHADOW;
	default = 0;
	w = 0.183825;
	h = 0.104575;
	color[] = {0.87, 0.84, 0.64, 1.0};
	color2[] = {0.95, 0.95, 0.95, 1};
	colorBackground[] = {1, 1, 1, 1};
	colorbackground2[] = {1, 1, 1, 0.4};
	colorDisabled[] = {1, 1, 1, 0.25};
	periodFocus = 1.2;
	periodOver = 0.8;
	shadow = 2;
	
	class HitZone {
		left = 0.004;
		top = 0.029;
		right = 0.004;
		bottom = 0.029;
	};
	
	class ShortcutPos {
		left = 0.004;
		top = 0.026;
		w = 0.0392157;
		h = 0.0522876;
	};
	
	class TextPos {
		left = 0.05;
		top = 0.034;
		right = 0.005;
		bottom = 0.005;
	};
	
	animTextureNormal = "\ca\ui\data\ui_button_normal_ca.paa";
	animTextureDisabled = "\ca\ui\data\ui_button_disabled_ca.paa";
	animTextureOver = "\ca\ui\data\ui_button_over_ca.paa";
	animTextureFocused = "\ca\ui\data\ui_button_focus_ca.paa";
	animTexturePressed = "\ca\ui\data\ui_button_down_ca.paa";
	animTextureDefault = "\ca\ui\data\ui_button_default_ca.paa";
	textureNoShortcut = "";
	period = 0.4;
	font = ADO_FontM;
	size = 0.03521;
	sizeEx = 0.03521;
	text = "";
	soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.09, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.09, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.07, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.09, 1};
	action = "";
	
	class Attributes {
		font = ADO_FontM;
		color = "#E5E5E5";
		align = "left";
		shadow = "true";
	};
	
	class AttributesImage {
		font = ADO_FontM;
		color = "#E5E5E5";
		align = "left";
	};
};	

class ADO_MENU_RscBouton1
{
	type = 16;
	idc = -1;
	style = ADO_ST_CENTER + ADO_ST_SHADOW;
	default = 0;
	w = 0.183825;
	h = 0.104575;
	color[] = {0.87, 0.84, 0.64, 1.0};
	color2[] = {0.95, 0.95, 0.95, 1};
	colorBackground[] = {1, 1, 1, 1};
	colorbackground2[] = {1, 1, 1, 0.4};
	colorDisabled[] = {1, 1, 1, 0.25};
	periodFocus = 1.2;
	periodOver = 0.8;
	shadow = 2;
	
	class HitZone {
		left = 0.004;
		top = 0.029;
		right = 0.004;
		bottom = 0.029;
	};
	
	class ShortcutPos {
		left = 0.004;
		top = 0.026;
		w = 0.0392157;
		h = 0.0522876;
	};
	
	class TextPos {
		left = 0.05;
		top = 0.034;
		right = 0.005;
		bottom = 0.005;
	};
	
	animTextureNormal = "\ca\ui\data\ui_button_normal_ca.paa";
	animTextureDisabled = "\ca\ui\data\ui_button_disabled_ca.paa";
	animTextureOver = "\ca\ui\data\ui_button_over_ca.paa";
	animTextureFocused = "\ca\ui\data\ui_button_focus_ca.paa";
	animTexturePressed = "\ca\ui\data\ui_button_down_ca.paa";
	animTextureDefault = "\ca\ui\data\ui_button_default_ca.paa";
	textureNoShortcut = "";
	period = 0.4;
	font = ADO_FontM;
	size = 0.03521;
	sizeEx = 0.03521;
	text = "";
	soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.09, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.09, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.07, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.09, 1};
	action = "";
	
	class Attributes {
		font = ADO_FontM;
		color = "#E5E5E5";
		align = "left";
		shadow = "true";
	};
	
	class AttributesImage {
		font = ADO_FontM;
		color = "#E5E5E5";
		align = "left";
	};
};	

class ADO_MENU_RscBouton2 : ADO_MENU_RscBouton1 {
	
	w = 0.313726;
	h = 0.104575;
	color[] = {0.87, 0.84, 0.64, 1.0};
	colorDisabled[] = {1, 1, 1, 0.25};
	
	class HitZone {
		left = 0.0;
		top = 0.0;
		right = 0.0;
		bottom = 0.0;
	};
	
	class ShortcutPos {
		left = 0.0204;
		top = 0.026;
		w = 0.0392157;
		h = 0.0522876;
	};
	
	class TextPos {
		left = 0.08;
		top = 0.034;
		right = 0.005;
		bottom = 0.005;
	};
	
	animTextureNormal = "\ca\ui\data\ui_button_main_normal_ca.paa";
	animTextureDisabled = "\ca\ui\data\ui_button_main_disabled_ca.paa";
	animTextureOver = "\ca\ui\data\ui_button_main_over_ca.paa";
	animTextureFocused = "\ca\ui\data\ui_button_main_focus_ca.paa";
	animTexturePressed = "\ca\ui\data\ui_button_main_down_ca.paa";
	animTextureDefault = "\ca\ui\data\ui_button_main_normal_ca.paa";
	period = 0.5;
	font = ADO_FontM;
	size = 0.03921;
	sizeEx = 0.03921;
	text = "";
	soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.09, 1};
	soundPush[] = {"\ca\ui\data\sound\new1", 0.09, 1};
	soundClick[] = {"\ca\ui\data\sound\mouse3", 0.07, 1};
	soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.09, 1};
	action = "";
	
	class Attributes {
		font = "Zeppelin32";
		color = ADO_FontM;
		align = "left";
		shadow = "false";
	};
	
	class AttributesImage {
		font = ADO_FontM;
		color = "#E5E5E5";
		align = "false";
	};
};

class ADO_MENU_RscListe {
	idc = -1;
	type = 5;
	style = 0 + 0x10 + ADO_ST_SHADOW;
	font = "Zeppelin32";
	sizeEx = 0.04221;
	color[] = {0.87, 0.84, 0.64, 0.75};
	colorText[] = {0.87, 0.84, 0.64, 0.75};
	colorTextDisable[] = {1, 0,0, 0.75};
	colorDisable[] = {1, 0,0, 0.75};
	colorScrollbar[] = {0.95, 0.95, 0.95, 1};
	colorSelect[] = {0.95, 0.95, 0.95, 1};
	colorSelect2[] = {0.95, 0.95, 0.95, 1};
	colorSelectBackground[] = {0.83, 0.80, 0.61, 1.0};
	colorSelectBackground2[] = {0.83, 0.80, 0.61, 1.0};
	columns[] = {0.1, 0.7, 0.1, 0.1};
	period = 0;
	colorBackground[] = {1, 0, 0, 1};
	maxHistoryDelay = 1.0;
	autoScrollSpeed = -1;
	autoScrollDelay = 5;
	autoScrollRewind = 0;
	soundSelect[] = {"\ca\ui\data\sound\new1", 0.09, 1};
	shadow = 2;
	
	rowHeight = 0.03;
	
	class ScrollBar {
		color[] = {1, 1, 1, 0.6};
		colorActive[] = {1, 1, 1, 1};
		colorDisabled[] = {1, 1, 1, 0.3};
		thumb = "\ca\ui\data\igui_scrollbar_thumb_ca.paa";
		arrowFull = "\ca\ui\data\igui_arrow_top_active_ca.paa";
		arrowEmpty = "\ca\ui\data\igui_arrow_top_ca.paa";
		border = "\ca\ui\data\igui_border_scroll_ca.paa";
	};
};
class ADO_MENU_RscListe1 : ADO_MENU_RscListe {
	type = 102;
	lineSpacing = 1;
	sizeEx = 0.035;
	rowHeight = 0.03;
	style = 16;
	arrowEmpty = "#(argb,8,8,3)color(1,1,1,1)";
	arrowFull = "#(argb,8,8,3)color(1,1,1,1)";
};

class ADO_MENU_RscListe2
{
	type = ADO_CT_COMBO;
	style = ADO_ST_SINGLE;

	h = 0.04;
	
	colorSelect[] = {0,0,0,1};
	colorText[] = {0,0,0,1};
	colorTextDisable[] = {0,0,0,0};
	colorDisable[] = {0,0,0,0};
	colorBackground[] = {0.95,0.95,0.95,1};
	colorSelectBackground[] = {0.83, 0.80, 0.61, 1};
	colorScrollbar[] = {0.023529,0,0.0313725,1};
	arrowEmpty = "\ca\ui\data\ui_arrow_combo_ca.paa";
	arrowFull = "\ca\ui\data\ui_arrow_combo_active_ca.paa";
	wholeHeight = 0.45;
	color[] = {0,0,0,0.6};
	colorActive[] = {0,0,0,1};
	colorDisabled[] = {0,0,0,0.3};
	font = "Zeppelin32";
	sizeEx = 0.029;
	soundSelect[] = {"",0.1,1};
	soundExpand[] = {"",0.1,1};
	soundCollapse[] = {"",0.1,1};
	maxHistoryDelay = 1;
	class ScrollBar
	{
		color[] = {1, 1, 1, 0};
		colorActive[] = {1, 1, 1, 1};
		colorDisabled[] = {1, 1, 1, 0.3};
		thumb = "\ca\ui\data\ui_scrollbar_thumb_ca.paa";
		arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
		arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
		border = "\ca\ui\data\ui_border_scroll_ca.paa";
	};
};

class ADO_MENU_RscBouton3 {
	idc = -1;
	type = 1;
	style = ADO_ST_CENTER;
	font = "Zeppelin32";
	sizeEx = 0.03;
	colorText[] = { 0, 0, 0, 0 };
	colorFocused[] = { 0, 0, 0, 0 };
	colorDisabled[] = { 0, 0, 0, 0 };
	colorBackground[] = { 0, 0, 0, 0 };
	colorBackgroundDisabled[] = { 0, 0, 0, 0 };
	colorBackgroundActive[] = { 0, 0, 0, 0 }; 
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };
	soundPush[] = { "", 0.1, 1 };
	soundClick[] = { "", 0, 1 };
	soundEscape[] = { "", 0, 1 };
};

class ADO_MENU_RscBouton4 {
	idc = -1;
	type = 1;
	style = ADO_ST_CENTER;
	font = "Zeppelin32";
	sizeEx = 0.03;
	colorText[] = { 0, 0, 0, 0 };
	colorFocused[] = {0.83, 0.80, 0.61, 0.5};
	colorDisabled[] = { 0, 0, 0, 0 };
	colorBackground[] = { 0.83, 0.80, 0.61, 0.5 };
	colorBackgroundDisabled[] = { 0, 0, 0, 0 };
	colorBackgroundActive[] = { 0.83, 0.80, 0.61, 0.5 }; 
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0 };
	colorBorder[] = { 0, 0, 0, 0 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };
	soundPush[] = { "", 0.1, 1 };
	soundClick[] = { "", 0, 1 };
	soundEscape[] = { "", 0, 1 };
	shadow = 2;
};

class ADO_MENU_RscSlider {
	idc = -1;
	type = ADO_CT_SLIDER;
	style = ADO_SL_HORZ;
	x = 0.4;
	y = 0.2;
	w = 0.2;
	h = 0.025;
	color[] = { 1, 1, 1, 1 };
	coloractive[] = { 1, 1, 1, 1 };
};

class ADO_MENU_RscSlider2 {
	idc = -1;
	type = ADO_CT_XSLIDER;
	style = ADO_SL_HORZ  + ADO_SL_TEXTURES;
	x = 0;
	y = 0;
	h = 0.03;
	w = 0.2;
	color[] = {1, 1, 1, 0.4};
	colorActive[] = {1, 1, 1, 1};
	colorDisabled[] = {1, 1, 1, 0.2};
	arrowEmpty = "\ca\ui\data\ui_arrow_left_ca.paa";
	arrowFull = "\ca\ui\data\ui_arrow_left_active_ca.paa";
	border = "\ca\ui\data\ui_border_frame_ca.paa";
	thumb = "\ca\ui\data\ui_slider_bar_ca.paa";
};

class ADO_MENU_RscBoutton3 { 
	type = ADO_CT_BUTTON;
	style = ADO_ST_CENTER;
	w = 0.03;
	h = 0.04;
	font = "Zeppelin32";
	sizeEx = 0.03;
	colorText[] = {0.023529,0,0.0313725,1};
	colorFocused[] = { 0.83, 0.80, 0.61, 1 }; // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 }; // text color for disabled state
	colorBackground[] = { 0.95,0.95,0.95,1 };
	colorBackgroundDisabled[] = { 0.95,0.95,0.95,1 }; // background color for disabled state
	colorBackgroundActive[] = { 0.83, 0.80, 0.61, 1 };
	offsetX = 0.002;
	offsetY = 0.002;
	offsetPressedX = 0.001;
	offsetPressedY = 0.001;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 }; // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 }; // no sound
	soundEscape[] = { "", 0, 1 }; // no sound
};

//================================== AUTRES PAGES ==================================//

class ADO_ADDONS_EQUIPEMENTS_dlg
{
	idd = 1000;
	movingEnable = 1;
	objects[] = {};
	controls[] = {
		"ADO_ADDONS_EQUIPEMENTS_liste_camo",
		"ADO_ADDONS_EQUIPEMENTS_liste_foulard",
		"ADO_ADDONS_EQUIPEMENTS_liste_ecusson",
		"ADO_ADDONS_EQUIPEMENTS_liste_chaussure",
		"ADO_ADDONS_EQUIPEMENTS_liste_sanguin",
		"ADO_ADDONS_EQUIPEMENTS_liste_grade",
		"ADO_ADDONS_EQUIPEMENTS_liste_beret1",
		"ADO_ADDONS_EQUIPEMENTS_liste_beret2",
		"ADO_ADDONS_EQUIPEMENTS_liste_cheche",
		"ADO_ADDONS_EQUIPEMENTS_liste_gilet",
		"ADO_ADDONS_EQUIPEMENTS_liste_gant",
		"ADO_ADDONS_EQUIPEMENTS_bouton1",
		"ADO_ADDONS_EQUIPEMENTS_bouton2",
		"ADO_ADDONS_EQUIPEMENTS_bouton3",
		"ADO_ADDONS_EQUIPEMENTS_bp_camo",
		"ADO_ADDONS_EQUIPEMENTS_bp_beret1",
		"ADO_ADDONS_EQUIPEMENTS_bp_cheche",
		"ADO_ADDONS_EQUIPEMENTS_bp_gilet",
		"ADO_ADDONS_EQUIPEMENTS_bp_gant",
		"ADO_ADDONS_EQUIPEMENTS_bp_chaussure",
		"ADO_ADDONS_EQUIPEMENTS_bp_beret2",
		"ADO_ADDONS_EQUIPEMENTS_bp_foulard",
		"ADO_ADDONS_EQUIPEMENTS_bp_ecusson",
		"ADO_ADDONS_EQUIPEMENTS_bp_sanguin",
		"ADO_ADDONS_EQUIPEMENTS_bp_grade"
		
	};
	controlsBackground[] = { 
		"ADO_ADDONS_EQUIPEMENTS_interface",
		"ADO_ADDONS_EQUIPEMENTS_titre",
		"ADO_ADDONS_EQUIPEMENTS_titre_camo",
		"ADO_ADDONS_EQUIPEMENTS_titre_foulard",
		"ADO_ADDONS_EQUIPEMENTS_titre_ecusson",
		"ADO_ADDONS_EQUIPEMENTS_titre_chaussure",
		"ADO_ADDONS_EQUIPEMENTS_titre_sanguin",
		"ADO_ADDONS_EQUIPEMENTS_titre_grade",
		"ADO_ADDONS_EQUIPEMENTS_titre_beret1",
		"ADO_ADDONS_EQUIPEMENTS_titre_beret2",
		"ADO_ADDONS_EQUIPEMENTS_titre_cheche",
		"ADO_ADDONS_EQUIPEMENTS_titre_gilet",
		"ADO_ADDONS_EQUIPEMENTS_titre_gant",
		"ADO_ADDONS_EQUIPEMENTS_image_camo",
		"ADO_ADDONS_EQUIPEMENTS_image_beret1",
		"ADO_ADDONS_EQUIPEMENTS_image_chaussure",
		"ADO_ADDONS_EQUIPEMENTS_image_cheche",
		"ADO_ADDONS_EQUIPEMENTS_image_foulard",
		"ADO_ADDONS_EQUIPEMENTS_image_gant",
		"ADO_ADDONS_EQUIPEMENTS_image_gilet",
		"ADO_ADDONS_EQUIPEMENTS_image_beret2",
		"ADO_ADDONS_EQUIPEMENTS_image_grade",
		"ADO_ADDONS_EQUIPEMENTS_image_sanguin",
		"ADO_ADDONS_EQUIPEMENTS_image_ecusson",
		"ADO_ADDONS_EQUIPEMENTS_bouton3_texte"
	};

	class ADO_ADDONS_EQUIPEMENTS_interface : ADO_MENU_RscImage
	{
		idc = -1;
		x = 0.05;
		y = 0;
		w = 0.9;
		h = 1;
		colorText[] = {1,1,1,0.96};
		text = "images\interface.paa";
	};
	
	
	class ADO_ADDONS_EQUIPEMENTS_titre : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.08;
		y = 0.02;
		w = 0.45;
		h = 0.04;
		sizeEx = 0.05;
		colorText[] = {0.94,0.94,0.94,1};
		text = "MENU D'ÉQUIPEMENTS ADO";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_camo : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Camouflage :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_camo : ADO_MENU_RscListe2 {
		idc = 1002;
		x = 0.12;
		y = 0.17;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_camouflage = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_camo : ADO_MENU_RscImage
	{
		idc = 2001;
		x = 0.65;
		y = 0.15;
		w = 0.2;
		h = 0.7;
		colorText[] = {1,1,1,0.96};
		text = "images\soldat_fr.paa";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_camo : ADO_MENU_RscBoutton3
	{
		idc = 3001;
		x = 0.085;
		y = 0.17;
		text = "X";
		action = "if (ctrlText 3001 == 'X') then {ctrlSetText [3001, ''];} else {ctrlSetText [3001, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_beret1 : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0.1;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Béret :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_beret1 : ADO_MENU_RscListe2 {
		idc = 1008;
		x = 0.12;
		y = 0.27;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_beret1 = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_beret1 : ADO_MENU_RscImage
	{
		idc = 2008;
		x = 0.72;
		y = 0.145;
		w = 0.06;
		h = 0.05;
		colorText[] = {1,1,1,0.96};
		text = "";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_beret1 : ADO_MENU_RscBoutton3
	{
		idc = 3008;
		x = 0.085;
		y = 0.27;
		text = "X";
		action = "if (ctrlText 3008 == 'X') then {ctrlSetText [3008, ''];} else {ctrlSetText [3008, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_cheche : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0.2;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Cheche :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_cheche : ADO_MENU_RscListe2 {
		idc = 1010;
		x = 0.12;
		y = 0.37;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_cheche = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_cheche : ADO_MENU_RscImage
	{
		idc = 2010;
		x = 0.709;
		y = 0.217;
		w = 0.077;
		h = 0.071;
		colorText[] = {1,1,1,0.96};
		text = "images\cheche4.paa";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_cheche : ADO_MENU_RscBoutton3
	{
		idc = 3010;
		x = 0.085;
		y = 0.37;
		text = "X";
		action = "if (ctrlText 3010 == 'X') then {ctrlSetText [3010, ''];} else {ctrlSetText [3010, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_gilet : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0.3;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Gilet :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_gilet : ADO_MENU_RscListe2 {
		idc = 1011;
		x = 0.12;
		y = 0.47;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_gilet = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_gilet : ADO_MENU_RscImage
	{
		idc = 2011;
		x = 0.68;
		y = 0.237;
		w = 0.138;
		h = 0.19;
		colorText[] = {1,1,1,0.96};
		text = "images\gilet_cos2_co.paa";
	};	
	class ADO_ADDONS_EQUIPEMENTS_bp_gilet : ADO_MENU_RscBoutton3
	{
		idc = 3011;
		x = 0.085;
		y = 0.47;
		text = "X";
		action = "if (ctrlText 3011 == 'X') then {ctrlSetText [3011, ''];} else {ctrlSetText [3011, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_gant : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0.4;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Gant :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_gant : ADO_MENU_RscListe2 {
		idc = 1012;
		x = 0.12;
		y = 0.57;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_gant = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_gant : ADO_MENU_RscImage
	{
		idc = 2012;
		x = 0.653;
		y = 0.473;
		w = 0.192;
		h = 0.095;
		colorText[] = {1,1,1,0.96};
		text = "";
	};	
	class ADO_ADDONS_EQUIPEMENTS_bp_gant : ADO_MENU_RscBoutton3
	{
		idc = 3012;
		x = 0.085;
		y = 0.57;
		text = "X";
		action = "if (ctrlText 3012 == 'X') then {ctrlSetText [3012, ''];} else {ctrlSetText [3012, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_chaussure : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.12;
		y = 0.5;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Chaussures :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_chaussure : ADO_MENU_RscListe2 {
		idc = 1005;
		x = 0.12;
		y = 0.67;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_chaussure = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_chaussure : ADO_MENU_RscImage
	{
		idc = 2005;
		x = 0.665;
		y = 0.75;
		w = 0.17;
		h = 0.1;
		colorText[] = {1,1,1,0.96};
		text = "images\rangers.paa";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_chaussure : ADO_MENU_RscBoutton3
	{
		idc = 3005;
		x = 0.085;
		y = 0.67;
		text = "X";
		action = "if (ctrlText 3005 == 'X') then {ctrlSetText [3005, ''];} else {ctrlSetText [3005, 'X'];};";
	};

	class ADO_ADDONS_EQUIPEMENTS_titre_beret2 : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.365;
		y = 0.1;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Insigne Béret :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_beret2 : ADO_MENU_RscListe2 {
		idc = 1009;
		x = 0.365;
		y = 0.27;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_beret2 = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_beret2 : ADO_MENU_RscImage
	{
		idc = 2009;
		x = 0.725;
		y = 0.16;
		w = 0.015;
		h = 0.015;
		colorText[] = {1,1,1,0.96};
		text = "";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_beret2 : ADO_MENU_RscBoutton3
	{
		idc = 3009;
		x = 0.33;
		y = 0.27;
		text = "X";
		action = "if (ctrlText 3009 == 'X') then {ctrlSetText [3009, ''];} else {ctrlSetText [3009, 'X'];};";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_titre_foulard : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.365;
		y = 0.2;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Foulard :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_foulard : ADO_MENU_RscListe2 {
		idc = 1003;
		x = 0.365;
		y = 0.37;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_foulard = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_foulard : ADO_MENU_RscImage
	{
		idc = 2003;
		x = 0.809;
		y = 0.255;
		w = 0.02;
		h = 0.04;
		colorText[] = {1,1,1,0.96};
		text = "";
	};
	class ADO_ADDONS_EQUIPEMENTS_bp_foulard : ADO_MENU_RscBoutton3
	{
		idc = 3003;
		x = 0.33;
		y = 0.37;
		text = "X";
		action = "if (ctrlText 3003 == 'X') then {ctrlSetText [3003, ''];} else {ctrlSetText [3003, 'X'];};";
	};	
	
	class ADO_ADDONS_EQUIPEMENTS_titre_ecusson : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.365;
		y = 0.3;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Ecusson :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_ecusson : ADO_MENU_RscListe2 {
		idc = 1004;
		x = 0.365;
		y = 0.47;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_ecusson = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_ecusson : ADO_MENU_RscImage
	{
		idc = 2004;
		x = 0.83;
		y = 0.3;
		w = 0.02;
		h = 0.03;
		colorText[] = {1,1,1,0.96};
		text = "";
	};		
	class ADO_ADDONS_EQUIPEMENTS_bp_ecusson : ADO_MENU_RscBoutton3
	{
		idc = 3004;
		x = 0.33;
		y = 0.47;
		text = "X";
		action = "if (ctrlText 3004 == 'X') then {ctrlSetText [3004, ''];} else {ctrlSetText [3004, 'X'];};";
	};	
	
	class ADO_ADDONS_EQUIPEMENTS_titre_sanguin : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.365;
		y = 0.4;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Groupe sanguin :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_sanguin : ADO_MENU_RscListe2 {
		idc = 1006;
		x = 0.365;
		y = 0.57;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_sanguin = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_sanguin : ADO_MENU_RscImage
	{
		idc = 2006;
		x = 0.65;
		y = 0.3;
		w = 0.02;
		h = 0.03;
		colorText[] = {1,1,1,0.96};
		text = "";
	};			
	class ADO_ADDONS_EQUIPEMENTS_bp_sanguin : ADO_MENU_RscBoutton3
	{
		idc = 3006;
		x = 0.33;
		y = 0.57;
		text = "X";
		action = "if (ctrlText 3006 == 'X') then {ctrlSetText [3006, ''];} else {ctrlSetText [3006, 'X'];};";
	};	
	
	class ADO_ADDONS_EQUIPEMENTS_titre_grade : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.365;
		y = 0.5;
		w = 0.3;
		h = 0.3;
		sizeEx = 0.03;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Grade :";
	};
	class ADO_ADDONS_EQUIPEMENTS_liste_grade : ADO_MENU_RscListe2 {
		idc = 1007;
		x = 0.365;
		y = 0.67;
		w = 0.2;
		sizeEx = 0.03;
		text = "";
		onLBSelChanged = "ADO_ADDONS_EQUIPEMENTS_grade = _this select 1";
	};
	class ADO_ADDONS_EQUIPEMENTS_image_grade : ADO_MENU_RscImage
	{
		idc = 2007;
		x = 0.715;
		y = 0.313;
		w = 0.02;
		h = 0.02;
		colorText[] = {1,1,1,0.96};
		text = "";
	};		
	class ADO_ADDONS_EQUIPEMENTS_bp_grade : ADO_MENU_RscBoutton3
	{
		idc = 3007;
		x = 0.33;
		y = 0.67;
		text = "X";
		action = "if (ctrlText 3007 == 'X') then {ctrlSetText [3007, ''];} else {ctrlSetText [3007, 'X'];};";
	};	
	
	// ---------- Boutons ----------
	class ADO_ADDONS_EQUIPEMENTS_bouton1 : ADO_MENU_RscBouton1 {
		idc = 2010;
		x = 0.74;
		y = 0.91;
		text = "Valider";
		action = "ADO_ADDONS_EQUIPEMENTS_init = true; ADO_ADDONS_EQUIPEMENTS_close = 1";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_bouton2 : ADO_MENU_RscBouton1 {
		idc = 4017;
		x = 0.55;
		y = 0.91;
		text = "Fermer";
		action = "closeDialog 0;";
	};
	
	class ADO_ADDONS_EQUIPEMENTS_bouton3 : ADO_MENU_RscBouton1 {
		idc = 4018;
		x = 0.22;
		y = 0.75;
		w = 0.23;
		text = "Générer code";
		action = "ADO_ADDONS_EQUIPEMENTS_code = 1;";
	};
	class ADO_ADDONS_EQUIPEMENTS_bouton3_texte : ADO_MENU_RscTexte
	{
		idc = -1;
		style = ADO_ST_LEFT;
		x = 0.09;
		y = 0.75;
		w = 0.5;
		h = 0.2;
		sizeEx = 0.02;
		colorText[] = {0.87, 0.84, 0.64, 1};
		text = "Une fois générer, retourner dans l'éditeur et coller le code (CTRL + V)";
	};
};